Loading...
Searching...
No Matches
mbedtls_chachapoly_context Struct Reference

`#include <chachapoly.h>`

Collaboration diagram for mbedtls_chachapoly_context:
[legend]

## Data Fields

mbedtls_chacha20_context | private_chacha20_ctx
mbedtls_poly1305_context | private_poly1305_ctx
uint64_t | private_aad_len
uint64_t | private_ciphertext_len
int | private_state
mbedtls_chachapoly_mode_t | private_mode
int | dummy

## Detailed Description

Definition at line 48 of file chachapoly.h.

## Field Documentation

## dummy

int mbedtls_chachapoly_context::dummy

Definition at line 13 of file chachapoly_alt.h.

## private_aad_len

uint64_t mbedtls_chachapoly_context::private_aad_len

The length (bytes) of the Additional Authenticated Data.

Definition at line 51 of file chachapoly.h.

## private_chacha20_ctx

mbedtls_chacha20_context mbedtls_chachapoly_context::private_chacha20_ctx

The ChaCha20 context.

Definition at line 49 of file chachapoly.h.

## private_ciphertext_len

uint64_t mbedtls_chachapoly_context::private_ciphertext_len

The length (bytes) of the ciphertext.

Definition at line 52 of file chachapoly.h.

## private_mode

mbedtls_chachapoly_mode_t mbedtls_chachapoly_context::private_mode

Cipher mode (encrypt or decrypt).

Definition at line 54 of file chachapoly.h.

## private_poly1305_ctx

mbedtls_poly1305_context mbedtls_chachapoly_context::private_poly1305_ctx

The Poly1305 context.

Definition at line 50 of file chachapoly.h.

## private_state

int mbedtls_chachapoly_context::private_state

The current state of the context.

Definition at line 53 of file chachapoly.h.

The documentation for this struct was generated from the following files:

- chachapoly.h
- chachapoly_alt.h